Bug 90328 - Xircom RBM56G Modem
Summary: Xircom RBM56G Modem
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-06 22:00 UTC by Douglas Ohlhorst
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Douglas Ohlhorst 2003-05-06 22:00:01 UTC
Description of problem: 
The Xircom RBM56G modem appears not to have a module assigned for it when
inserting the device into the PCMCIA. When inserting the device no bell(s) are
heard. When viewing /var/log/messages the following lines appear:

May  6 15:50:34 panda kernel: cs: cb_alloc(bus 3): vendor 0x115d, device 0x0101
May  6 15:50:34 panda kernel: PCI: Enabling device 03:00.0 (0000 -> 0003)
May  6 15:50:34 panda cardmgr[1485]: socket 0: CardBus hotplug device
May  6 15:50:34 panda /etc/hotplug/pci.agent: ... no modules for PCI slot 03:00.0

While looking in the /etc/pcmcia/config file I see:

card "Xircom RBM56G Modem"
  manfid 0x0105, 0x1000

I see three lines on the other devices, but only two for the RBM56G modem.

Version-Release number of selected component (if applicable):
hotplug-2002_04_01-13


How reproducible:
Constant

Steps to Reproduce:
1. Insert Xircom RBM56G Modem
    
Actual results:
A serial port is not assigned to the device.

Expected results:
A serial port would be assigned to the device, status should appear in
/var/log/messages.

Additional info:
N/A

Comment 1 Bill Nottingham 2003-05-07 02:48:05 UTC
For cardbus, this needs to be fixed in the kernel mapping tables.

Comment 2 Douglas Ohlhorst 2003-09-03 15:55:30 UTC
I was curious of the current status of this? I have upgraded to the 2.4.20-20
kernel without any luck.

Comment 3 Bugzilla owner 2004-09-30 15:40:53 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.